<?php

	$ldap_server = "localhost";
	$ldap_password_field = "userpassword";
	$ldap_user_field = "uid";
	
	//put the ldap base dn of your server here
	$ldap_base_dn = "dc=example,dc=com";

	//normally we first bind anonymously to retreive the users full dn based on
	//looking up the attribute defined above ($ldap_user_field), normally uid
	//then we'll bind as that user. This implies that the ldap directory server 
	//must have acls set as follows:
	// anonymous users must have at least read access to the uid and dn attributes
	// and have auth access to allow a rebind as a user
	// users must have read/write access to at least the userpassword attribute
	// Failing that we could bind as the ldap root user but thats more dangerous :-P
	$ldap_bind_as_manager = 0;	
	$ldap_manager_dn="cn=root,$ldap_base_dn";
	$ldap_manager_pw="secret";
	
	//if you're also using LDAP to authenticate samba users, we can sync the samba passwords too
	$change_smb=0;
	$smb_passwd="/usr/bin/smbpasswd";

        // and maybe you are using samba/ldap authentication, in this case you
        // you will need mkntpwd in order to generate the nt/lm password.
        // http://www.samba.org/cgi-bin/cvsweb/samba/examples/LDAP/smbldap-tools/mkntpwd/
        $change_ldapsmb=0;
        $mkntpwd="/usr/bin/mkntpwd";


?>
